Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.looksgood.ani
Class Ani

    java.lang.Object
      de.looksgood.ani.AniCore
          de.looksgood.ani.Ani

All Implemented Interfaces:
  AniConstants

    public class Ani

extends AniCore

The Class Ani, helps you to create time based animations in an very easy way. Static usage: Ani.to(this, 1.0, "x", 100, Ani.EXPO_IN_OUT); Or if you would like to keep a reference for a later use, there are this two options Ani ani = Ani.to(this, 1.5, "x", 100, Ani.EXPO_IN_OUT); Ani ani = new Ani(this, 1.5, "x", 100, Ani.EXPO_IN_OUT); For more see the examples

Field Summary

Fields inherited from interface de.looksgood.ani.AniConstants
`ANI_DEBUG_PREFIX, AUTOSTART, BACK_IN, BACK_IN_OUT, BACK_OUT, BACKWARD, BOUNCE_IN, BOUNCE_IN_OUT, BOUNCE_OUT, CIRC_IN, CIRC_IN_OUT, CIRC_OUT, CUBIC_IN, CUBIC_IN_OUT, CUBIC_OUT, ELASTIC_IN, ELASTIC_IN_OUT, ELASTIC_OUT, EXPO_IN, EXPO_IN_OUT, EXPO_OUT, FORWARD, FRAMES, IN, IN_OUT, LINEAR, NO_AUTOSTART, NO_OVERWRITE, ON_DELAY_END, ON_END, ON_START, ON_UPDATE, OUT, OVERWRITE, QUAD_IN, QUAD_IN_OUT, QUAD_OUT, QUART_IN, QUART_IN_OUT, QUART_OUT, QUINT_IN, QUINT_IN_OUT, QUINT_OUT, SECONDS, SINE_IN, SINE_IN_OUT, SINE_OUT, VERSION, YOYO`

Constructor Summary
`Ani(java.lang.Object theTarget, float theDuration, float theDelay, java.lang.String theFieldName, float theEnd)` Instantiates a new ani.
`Ani(java.lang.Object theTarget, float theDuration, float theDelay, java.lang.String theFieldName, float theEnd, Easing theEasing)` Instantiates a new ani.
`Ani(java.lang.Object theTarget, float theDuration, float theDelay, java.lang.String theFieldName, float theEnd, Easing theEasing, java.lang.Object theCallbackObject, java.lang.String theCallback)` Instantiates a new ani.
`Ani(java.lang.Object theTarget, float theDuration, float theDelay, java.lang.String theFieldName, float theEnd, Easing theEasing, java.lang.String theCallback)` Instantiates a new ani.
`Ani(java.lang.Object theTarget, float theDuration, java.lang.String theFieldName, float theEnd)` Instantiates a new ani.
`Ani(java.lang.Object theTarget, float theDuration, java.lang.String theFieldName, float theEnd, Easing theEasing)` Instantiates a new ani.
`Ani(java.lang.Object theTarget, float theDuration, java.lang.String theFieldName, float theEnd, Easing theEasing, java.lang.String theCallback)` Instantiates a new ani.

Method Summary
`static void` | `autostart()` Sets the defaultAutostartMode of all new created Animations to: On
`static Ani[]` | `from(java.lang.Object theTarget, float theDuration, float theDelay, java.lang.String thePropertyList)` animate from a value over time to a certain value, returns an instance of ani
`static Ani[]` | `from(java.lang.Object theTarget, float theDuration, float theDelay, java.lang.String thePropertyList, Easing theEasing)` animate from a value over time to a certain value, returns an instance of ani
`static Ani[]` | `from(java.lang.Object theTarget, float theDuration, float theDelay, java.lang.String thePropertyList, Easing theEasing, java.lang.Object theCallbackObject, java.lang.String theCallback)` animate from a value over time to a certain value, returns an instance of ani
`static Ani` | `from(java.lang.Object theTarget, float theDuration, float theDelay, java.lang.String theFieldName, float theEnd)` animate from a value over time to a certain value, returns an instance of ani
`static Ani` | `from(java.lang.Object theTarget, float theDuration, float theDelay, java.lang.String theFieldName, float theEnd, Easing theEasing)` animate from a value over time to a certain value, returns an instance of ani
`static Ani` | `from(java.lang.Object theTarget, float theDuration, float theDelay, java.lang.String theFieldName, float theEnd, Easing theEasing, java.lang.Object theCallbackObject, java.lang.String theCallback)` animate from a value over time to a certain value, returns an instance of ani
`static Ani` | `from(java.lang.Object theTarget, float theDuration, float theDelay, java.lang.String theFieldName, float theEnd, Easing theEasing, java.lang.String theCallback)` animate from a value over time to a certain value, returns an instance of ani
`static Ani[]` | `from(java.lang.Object theTarget, float theDuration, java.lang.String thePropertyList)` animate from a value over time to a certain value, returns an instance of ani
`static Ani[]` | `from(java.lang.Object theTarget, float theDuration, java.lang.String thePropertyList, Easing theEasing)` animate from a value over time to a certain value, returns an instance of ani
`static Ani[]` | `from(java.lang.Object theTarget, float theDuration, java.lang.String thePropertyList, Easing theEasing, java.lang.Object theCallbackObject, java.lang.String theCallback)` animate from a value over time to a certain value, returns an instance of ani
`static Ani[]` | `from(java.lang.Object theTarget, float theDuration, java.lang.String thePropertyList, Easing theEasing, java.lang.String theCallback)` animate from a value over time to a certain value, returns an instance of ani
`static Ani` | `from(java.lang.Object theTarget, float theDuration, java.lang.String theFieldName, float theEnd)` animate from a value over time to a certain value, returns an instance of ani
`static Ani` | `from(java.lang.Object theTarget, float theDuration, java.lang.String theFieldName, float theEnd, Easing theEasing)` animate from a value over time to a certain value, returns an instance of ani
`static Ani` | `from(java.lang.Object theTarget, float theDuration, java.lang.String theFieldName, float theEnd, Easing theEasing, java.lang.Object theCallbackObject, java.lang.String theCallback)` animate from a value over time to a certain value, returns an instance of ani
`static Ani` | `from(java.lang.Object theTarget, float theDuration, java.lang.String theFieldName, float theEnd, Easing theEasing, java.lang.String theCallback)` animate from a value over time to a certain value, returns an instance of ani
`static java.lang.String` | `getAutostartMode()` Gets the defaultAutostartMode mode: AUTOSTART or NO_AUTOSTART
`static Easing` | `getDefaultEasing()` Gets the default easing.
`static java.lang.String` | `getDefaultTimeMode()` Gets the defaultTimeMode.
`static java.lang.String` | `getOverwriteMode()` Gets the defaultOverwriteMode: OVERWRITE or NO_OVERWRITE
`static void` | `init(PApplet thePapplet)` Inits the Ani library.
`static void` | `killAll()` kills all anis of the lookup table in Ani
`static void` | `noAutostart()` Sets the defaultAutostartMode of all new created Animations to: Off
`static void` | `noOverwrite()` Sets the defaultOverwriteMode of all new created Animations to: Off Disable overwrite manager of all on going animations A new ani instance is always created even if there is a potential conflict for an already existing animation
`static void` | `overwrite()` Sets the defaultOverwriteMode of all new created Animations to: On Enable overwrite manager of all on going animations to avoid any possible conflicts
`static PApplet` | `papplet()` Get the papplet.
`static void` | `setDefaultEasing(Easing theDefaultEasing)` Sets the default easing: LINEAR, QUAD_IN, QUAD_OUT, QUAD_IN_OUT, CUBIC_IN, CUBIC_IN_OUT, CUBIC_OUT, QUART_IN, QUART_OUT, QUART_IN_OUT, QUINT_IN, QUINT_OUT, QUINT_IN_OUT, SINE_IN, SINE_OUT, SINE_IN_OUT, CIRC_IN, CIRC_OUT, CIRC_IN_OUT, EXPO_IN, EXPO_OUT, EXPO_IN_OUT, BACK_IN, BACK_OUT, BACK_IN_OUT, BOUNCE_IN, BOUNCE_OUT, BOUNCE_IN_OUT, ELASTIC_IN, ELASTIC_OUT, ELASTIC_IN_OUT or use a Custom Easing
`static void` | `setDefaultTimeMode(java.lang.String theDefaultTimeMode)` Sets the defaultTimeMode: SECONDS or FRAMES
`static int` | `size()` Size or count of all animations controlled by the overwrite features
`static Ani[]` | `to(java.lang.Object theTarget, float theDuration, float theDelay, java.lang.String thePropertyList)` animate to a value over time to a certain value, returns an instance of ani
`static Ani[]` | `to(java.lang.Object theTarget, float theDuration, float theDelay, java.lang.String thePropertyList, Easing theEasing)` animate to a value over time to a certain value, returns an instance of ani
`static Ani[]` | `to(java.lang.Object theTarget, float theDuration, float theDelay, java.lang.String thePropertyList, Easing theEasing, java.lang.Object theCallbackObject, java.lang.String theCallback)` animate to a value over time to a certain value, returns an instance of ani
`static Ani` | `to(java.lang.Object theTarget, float theDuration, float theDelay, java.lang.String theFieldName, float theEnd)` animate to a value over time to a certain value, returns an instance of ani
`static Ani` | `to(java.lang.Object theTarget, float theDuration, float theDelay, java.lang.String theFieldName, float theEnd, Easing theEasing)` animate to a value over time to a certain value, returns an instance of ani
`static Ani` | `to(java.lang.Object theTarget, float theDuration, float theDelay, java.lang.String theFieldName, float theEnd, Easing theEasing, java.lang.Object theCallbackObject, java.lang.String theCallback)` animate to a value over time to a certain value, returns an instance of ani
`static Ani` | `to(java.lang.Object theTarget, float theDuration, float theDelay, java.lang.String theFieldName, float theEnd, Easing theEasing, java.lang.String theCallback)` animate to a value over time to a certain value, returns an instance of ani
`static Ani[]` | `to(java.lang.Object theTarget, float theDuration, java.lang.String thePropertyList)` animate to a value over time to a certain value, returns an instance of ani
`static Ani[]` | `to(java.lang.Object theTarget, float theDuration, java.lang.String thePropertyList, Easing theEasing)` animate to a value over time to a certain value, returns an instance of ani
`static Ani[]` | `to(java.lang.Object theTarget, float theDuration, java.lang.String thePropertyList, Easing theEasing, java.lang.Object theCallbackObject, java.lang.String theCallback)` animate to a value over time to a certain value, returns an instance of ani
`static Ani[]` | `to(java.lang.Object theTarget, float theDuration, java.lang.String thePropertyList, Easing theEasing, java.lang.String theCallback)` animate to a value over time to a certain value, returns an instance of ani
`static Ani` | `to(java.lang.Object theTarget, float theDuration, java.lang.String theFieldName, float theEnd)` animate to a value over time to a certain value, returns an instance of ani
`static Ani` | `to(java.lang.Object theTarget, float theDuration, java.lang.String theFieldName, float theEnd, Easing theEasing)` animate to a value over time to a certain value, returns an instance of ani
`static Ani` | `to(java.lang.Object theTarget, float theDuration, java.lang.String theFieldName, float theEnd, Easing theEasing, java.lang.Object theCallbackObject, java.lang.String theCallback)` animate to a value over time to a certain value, returns an instance of ani
`static Ani` | `to(java.lang.Object theTarget, float theDuration, java.lang.String theFieldName, float theEnd, Easing theEasing, java.lang.String theCallback)` animate to a value over time to a certain value, returns an instance of ani

Methods inherited from class de.looksgood.ani.AniCore
`end, getBegin, getCallbackObject, getDelay, getDirection, getDuration, getDurationTotal, getEasing, getEnd, getId, getPlayMode, getPosition, getRepeatCount, getRepeatNumber, getSeek, getTimeMode, isDelaying, isEnded, isPlaying, isRepeating, noRepeat, pause, pre, repeat, repeat, resume, reverse, seek, setBegin, setBegin, setCallback, setCallbackObject, setDelay, setDuration, setEasing, setEnd, setPlayMode, setTimeMode, start`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Ani

    public Ani(java.lang.Object theTarget,
               float theDuration,
               java.lang.String theFieldName,
               float theEnd)

  Instantiates a new ani.

  Parameters:
    `theTarget` - theTarget
    `theDuration` - theDuration
    `theFieldName` - thefieldName
    `theEnd` - theEnd

### Ani

    public Ani(java.lang.Object theTarget,
               float theDuration,
               float theDelay,
               java.lang.String theFieldName,
               float theEnd)

  Instantiates a new ani.

  Parameters:
    `theTarget` - theTarget
    `theDuration` - theDuration
    `theDelay` - theDelay
    `theFieldName` - theFieldName
    `theEnd` - theEnd

### Ani

    public Ani(java.lang.Object theTarget,
               float theDuration,
               java.lang.String theFieldName,
               float theEnd,
               Easing theEasing)

  Instantiates a new ani.

  Parameters:
    `theTarget` - theTarget
    `theDuration` - theDuration
    `theFieldName` - theFieldName
    `theEnd` - theEnd
    `theEasing` - theEasing

### Ani

    public Ani(java.lang.Object theTarget,
               float theDuration,
               float theDelay,
               java.lang.String theFieldName,
               float theEnd,
               Easing theEasing)

  Instantiates a new ani.

  Parameters:
    `theTarget` - theTarget
    `theDuration` - theDuration
    `theDelay` - theDelay
    `theFieldName` - theFieldName
    `theEnd` - theEnd
    `theEasing` - theEasing

### Ani

    public Ani(java.lang.Object theTarget,
               float theDuration,
               java.lang.String theFieldName,
               float theEnd,
               Easing theEasing,
               java.lang.String theCallback)

  Instantiates a new ani.

  Parameters:
    `theTarget` - theTarget
    `theDuration` - theDuration
    `theFieldName` - theFieldName
    `theEnd` - theEnd
    `theEasing` - theEasing
    `theCallback` - theCallback

### Ani

    public Ani(java.lang.Object theTarget,
               float theDuration,
               float theDelay,
               java.lang.String theFieldName,
               float theEnd,
               Easing theEasing,
               java.lang.String theCallback)

  Instantiates a new ani.

  Parameters:
    `theTarget` - theTarget
    `theDuration` - theDuration
    `theDelay` - theDelay
    `theFieldName` - theFieldName
    `theEnd` - theEnd
    `theEasing` - theEasing
    `theCallback` - theCallback

### Ani

    public Ani(java.lang.Object theTarget,
               float theDuration,
               float theDelay,
               java.lang.String theFieldName,
               float theEnd,
               Easing theEasing,
               java.lang.Object theCallbackObject,
               java.lang.String theCallback)

  Instantiates a new ani.

  Parameters:
    `theTarget` - theTarget
    `theDuration` - theDuration
    `theDelay` - theDelay
    `theFieldName` - theFieldName
    `theEnd` - theEnd
    `theEasing` - theEasing
    `theCallbackObject` - theCallbackObject
    `theCallback` - theCallback

Method Detail

### init

    public static void init(PApplet thePapplet)

  Inits the Ani library. Must be always called first!

  Parameters:
    `thePapplet` - the _papplet

### papplet

    public static PApplet papplet()

  Get the papplet.

  Returns:
    the papplet

### to

    public static Ani to(java.lang.Object theTarget,
                         float theDuration,
                         java.lang.String theFieldName,
                         float theEnd)

  animate to a value over time to a certain value, returns an instance of ani

  Parameters:
    `theTarget` - theTarget
    `theDuration` - theDuration
    `theFieldName` - theFieldName
    `theEnd` - theEnd
  Returns:
    ani

### from

    public static Ani from(java.lang.Object theTarget,
                           float theDuration,
                           java.lang.String theFieldName,
                           float theEnd)

  animate from a value over time to a certain value, returns an instance of ani

  Parameters:
    `theTarget` - theTarget
    `theDuration` - theDuration
    `theFieldName` - theFieldName
    `theEnd` - theEnd
  Returns:
    ani

### to

    public static Ani to(java.lang.Object theTarget,
                         float theDuration,
                         float theDelay,
                         java.lang.String theFieldName,
                         float theEnd)

  animate to a value over time to a certain value, returns an instance of ani

  Parameters:
    `theTarget` - theTarget
    `theDuration` - theDuration
    `theDelay` - theDelay
    `theFieldName` - theFieldName
    `theEnd` - theEnd
  Returns:
    ani

### from

    public static Ani from(java.lang.Object theTarget,
                           float theDuration,
                           float theDelay,
                           java.lang.String theFieldName,
                           float theEnd)

  animate from a value over time to a certain value, returns an instance of ani

  Parameters:
    `theTarget` - theTarget
    `theDuration` - theDuration
    `theDelay` - theDelay
    `theFieldName` - theFieldName
    `theEnd` - theEnd
  Returns:
    ani

### to

    public static Ani to(java.lang.Object theTarget,
                         float theDuration,
                         java.lang.String theFieldName,
                         float theEnd,
                         Easing theEasing)

  animate to a value over time to a certain value, returns an instance of ani

  Parameters:
    `theTarget` - theTarget
    `theDuration` - theDuration
    `theFieldName` - theFieldName
    `theEnd` - theEnd
    `theEasing` - theEasing
  Returns:
    ani

### from

    public static Ani from(java.lang.Object theTarget,
                           float theDuration,
                           java.lang.String theFieldName,
                           float theEnd,
                           Easing theEasing)

  animate from a value over time to a certain value, returns an instance of ani

  Parameters:
    `theTarget` - theTarget
    `theDuration` - theDuration
    `theFieldName` - theFieldName
    `theEnd` - theEnd
    `theEasing` - theEasing
  Returns:
    ani

### to

    public static Ani to(java.lang.Object theTarget,
                         float theDuration,
                         float theDelay,
                         java.lang.String theFieldName,
                         float theEnd,
                         Easing theEasing)

  animate to a value over time to a certain value, returns an instance of ani

  Parameters:
    `theTarget` - theTarget
    `theDuration` - theDuration
    `theDelay` - theDelay
    `theFieldName` - theFieldName
    `theEnd` - theEnd
    `theEasing` - theEasing
  Returns:
    ani

### from

    public static Ani from(java.lang.Object theTarget,
                           float theDuration,
                           float theDelay,
                           java.lang.String theFieldName,
                           float theEnd,
                           Easing theEasing)

  animate from a value over time to a certain value, returns an instance of ani

  Parameters:
    `theTarget` - theTarget
    `theDuration` - theDuration
    `theDelay` - theDelay
    `theFieldName` - theFieldName
    `theEnd` - theEnd
    `theEasing` - theEasing
  Returns:
    ani

### to

    public static Ani to(java.lang.Object theTarget,
                         float theDuration,
                         java.lang.String theFieldName,
                         float theEnd,
                         Easing theEasing,
                         java.lang.String theCallback)

  animate to a value over time to a certain value, returns an instance of ani

  Parameters:
    `theTarget` - theTarget
    `theDuration` - theDuration
    `theFieldName` - theFieldName
    `theEnd` - theEnd
    `theEasing` - theEasing
    `theCallback` - theCallback
  Returns:
    ani

### to

    public static Ani to(java.lang.Object theTarget,
                         float theDuration,
                         java.lang.String theFieldName,
                         float theEnd,
                         Easing theEasing,
                         java.lang.Object theCallbackObject,
                         java.lang.String theCallback)

  animate to a value over time to a certain value, returns an instance of ani

  Parameters:
    `theTarget` - theTarget
    `theDuration` - theDuration
    `theFieldName` - theFieldName
    `theEnd` - theEnd
    `theEasing` - theEasing
    `theCallbackObject` - theCallbackObject
    `theCallback` - theCallback
  Returns:
    ani

### from

    public static Ani from(java.lang.Object theTarget,
                           float theDuration,
                           java.lang.String theFieldName,
                           float theEnd,
                           Easing theEasing,
                           java.lang.String theCallback)

  animate from a value over time to a certain value, returns an instance of ani

  Parameters:
    `theTarget` - theTarget
    `theDuration` - theDuration
    `theFieldName` - theFieldName
    `theEnd` - theEnd
    `theEasing` - theEasing
    `theCallback` - theCallback
  Returns:
    ani

### from

    public static Ani from(java.lang.Object theTarget,
                           float theDuration,
                           java.lang.String theFieldName,
                           float theEnd,
                           Easing theEasing,
                           java.lang.Object theCallbackObject,
                           java.lang.String theCallback)

  animate from a value over time to a certain value, returns an instance of ani

  Parameters:
    `theTarget` - theTarget
    `theDuration` - theDuration
    `theFieldName` - theFieldName
    `theEnd` - theEnd
    `theEasing` - theEasing
    `theCallbackObject` - theCallbackObject
    `theCallback` - theCallback
  Returns:
    ani

### to

    public static Ani to(java.lang.Object theTarget,
                         float theDuration,
                         float theDelay,
                         java.lang.String theFieldName,
                         float theEnd,
                         Easing theEasing,
                         java.lang.String theCallback)

  animate to a value over time to a certain value, returns an instance of ani

  Parameters:
    `theTarget` - theTarget
    `theDuration` - theDuration
    `theDelay` - theDelay
    `theFieldName` - theFieldName
    `theEnd` - theEnd
    `theEasing` - theEasing
    `theCallback` - theCallback
  Returns:
    ani

### to

    public static Ani to(java.lang.Object theTarget,
                         float theDuration,
                         float theDelay,
                         java.lang.String theFieldName,
                         float theEnd,
                         Easing theEasing,
                         java.lang.Object theCallbackObject,
                         java.lang.String theCallback)

  animate to a value over time to a certain value, returns an instance of ani

  Parameters:
    `theTarget` - theTarget
    `theDuration` - theDuration
    `theDelay` - theDelay
    `theFieldName` - theFieldName
    `theEnd` - theEnd
    `theEasing` - theEasing
    `theCallbackObject` - theCallbackObject
    `theCallback` - theCallback
  Returns:
    ani

### from

    public static Ani from(java.lang.Object theTarget,
                           float theDuration,
                           float theDelay,
                           java.lang.String theFieldName,
                           float theEnd,
                           Easing theEasing,
                           java.lang.String theCallback)

  animate from a value over time to a certain value, returns an instance of ani

  Parameters:
    `theTarget` - theTarget
    `theDuration` - theDuration
    `theDelay` - theDelay
    `theFieldName` - theFieldName
    `theEnd` - theEnd
    `theEasing` - theEasing
    `theCallback` - theCallback
  Returns:
    ani

### from

    public static Ani from(java.lang.Object theTarget,
                           float theDuration,
                           float theDelay,
                           java.lang.String theFieldName,
                           float theEnd,
                           Easing theEasing,
                           java.lang.Object theCallbackObject,
                           java.lang.String theCallback)

  animate from a value over time to a certain value, returns an instance of ani

  Parameters:
    `theTarget` - theTarget
    `theDuration` - theDuration
    `theDelay` - theDelay
    `theFieldName` - theFieldName
    `theEnd` - theEnd
    `theEasing` - theEasing
    `theCallbackObject` - theCallbackObject
    `theCallback` - theCallback
  Returns:
    ani

### to

    public static Ani[] to(java.lang.Object theTarget,
                           float theDuration,
                           java.lang.String thePropertyList)

  animate to a value over time to a certain value, returns an instance of ani

  Parameters:
    `theTarget` - theTarget
    `theDuration` - theDuration
    `thePropertyList` - _property list
  Returns:
    ani[]

### from

    public static Ani[] from(java.lang.Object theTarget,
                             float theDuration,
                             java.lang.String thePropertyList)

  animate from a value over time to a certain value, returns an instance of ani

  Parameters:
    `theTarget` - theTarget
    `theDuration` - theDuration
    `thePropertyList` - _property list
  Returns:
    ani[]

### to

    public static Ani[] to(java.lang.Object theTarget,
                           float theDuration,
                           float theDelay,
                           java.lang.String thePropertyList)

  animate to a value over time to a certain value, returns an instance of ani

  Parameters:
    `theTarget` - theTarget
    `theDuration` - theDuration
    `theDelay` - theDelay
    `thePropertyList` - _property list
  Returns:
    ani[]

### from

    public static Ani[] from(java.lang.Object theTarget,
                             float theDuration,
                             float theDelay,
                             java.lang.String thePropertyList)

  animate from a value over time to a certain value, returns an instance of ani

  Parameters:
    `theTarget` - theTarget
    `theDuration` - theDuration
    `theDelay` - theDelay
    `thePropertyList` - _property list
  Returns:
    ani[]

### to

    public static Ani[] to(java.lang.Object theTarget,
                           float theDuration,
                           java.lang.String thePropertyList,
                           Easing theEasing)

  animate to a value over time to a certain value, returns an instance of ani

  Parameters:
    `theTarget` - theTarget
    `theDuration` - theDuration
    `thePropertyList` - _property list
    `theEasing` - theEasing
  Returns:
    ani[]

### from

    public static Ani[] from(java.lang.Object theTarget,
                             float theDuration,
                             java.lang.String thePropertyList,
                             Easing theEasing)

  animate from a value over time to a certain value, returns an instance of ani

  Parameters:
    `theTarget` - theTarget
    `theDuration` - theDuration
    `thePropertyList` - _property list
    `theEasing` - theEasing
  Returns:
    ani[]

### to

    public static Ani[] to(java.lang.Object theTarget,
                           float theDuration,
                           float theDelay,
                           java.lang.String thePropertyList,
                           Easing theEasing)

  animate to a value over time to a certain value, returns an instance of ani

  Parameters:
    `theTarget` - theTarget
    `theDuration` - theDuration
    `theDelay` - theDelay
    `thePropertyList` - _property list
    `theEasing` - theEasing
  Returns:
    ani[]

### from

    public static Ani[] from(java.lang.Object theTarget,
                             float theDuration,
                             float theDelay,
                             java.lang.String thePropertyList,
                             Easing theEasing)

  animate from a value over time to a certain value, returns an instance of ani

  Parameters:
    `theTarget` - theTarget
    `theDuration` - theDuration
    `theDelay` - theDelay
    `thePropertyList` - _property list
    `theEasing` - theEasing
  Returns:
    ani[]

### to

    public static Ani[] to(java.lang.Object theTarget,
                           float theDuration,
                           java.lang.String thePropertyList,
                           Easing theEasing,
                           java.lang.Object theCallbackObject,
                           java.lang.String theCallback)

  animate to a value over time to a certain value, returns an instance of ani

  Parameters:
    `theTarget` - theTarget
    `theDuration` - theDuration
    `thePropertyList` - _property list
    `theEasing` - theEasing
    `theCallbackObject` - theCallbackObject
    `theCallback` - theCallback
  Returns:
    ani[]

### from

    public static Ani[] from(java.lang.Object theTarget,
                             float theDuration,
                             java.lang.String thePropertyList,
                             Easing theEasing,
                             java.lang.Object theCallbackObject,
                             java.lang.String theCallback)

  animate from a value over time to a certain value, returns an instance of ani

  Parameters:
    `theTarget` - theTarget
    `theDuration` - theDuration
    `thePropertyList` - _property list
    `theEasing` - theEasing
    `theCallbackObject` - theCallbackObject
    `theCallback` - theCallback
  Returns:
    ani[]

### to

    public static Ani[] to(java.lang.Object theTarget,
                           float theDuration,
                           java.lang.String thePropertyList,
                           Easing theEasing,
                           java.lang.String theCallback)

  animate to a value over time to a certain value, returns an instance of ani

  Parameters:
    `theTarget` - theTarget
    `theDuration` - theDuration
    `thePropertyList` - _property list
    `theEasing` - theEasing
    `theCallback` - theCallback
  Returns:
    ani[]

### from

    public static Ani[] from(java.lang.Object theTarget,
                             float theDuration,
                             java.lang.String thePropertyList,
                             Easing theEasing,
                             java.lang.String theCallback)

  animate from a value over time to a certain value, returns an instance of ani

  Parameters:
    `theTarget` - theTarget
    `theDuration` - theDuration
    `thePropertyList` - _property list
    `theEasing` - theEasing
    `theCallback` - theCallback
  Returns:
    ani[]

### to

    public static Ani[] to(java.lang.Object theTarget,
                           float theDuration,
                           float theDelay,
                           java.lang.String thePropertyList,
                           Easing theEasing,
                           java.lang.Object theCallbackObject,
                           java.lang.String theCallback)

  animate to a value over time to a certain value, returns an instance of ani

  Parameters:
    `theTarget` - theTarget
    `theDuration` - theDuration
    `theDelay` - theDelay
    `thePropertyList` - _property list
    `theEasing` - theEasing
    `theCallbackObject` - theCallbackObject
    `theCallback` - theCallback
  Returns:
    ani[]

### from

    public static Ani[] from(java.lang.Object theTarget,
                             float theDuration,
                             float theDelay,
                             java.lang.String thePropertyList,
                             Easing theEasing,
                             java.lang.Object theCallbackObject,
                             java.lang.String theCallback)

  animate from a value over time to a certain value, returns an instance of ani

  Parameters:
    `theTarget` - theTarget
    `theDuration` - theDuration
    `theDelay` - theDelay
    `thePropertyList` - _property list
    `theEasing` - theEasing
    `theCallbackObject` - theCallbackObject
    `theCallback` - theCallback
  Returns:
    ani[]

### killAll

    public static void killAll()

  kills all anis of the lookup table in Ani

### autostart

    public static void autostart()

  Sets the defaultAutostartMode of all new created Animations to: On

### noAutostart

    public static void noAutostart()

  Sets the defaultAutostartMode of all new created Animations to: Off

### getAutostartMode

    public static java.lang.String getAutostartMode()

  Gets the defaultAutostartMode mode: AUTOSTART or NO_AUTOSTART

  Returns:
    the defaultAutostartMode

### overwrite

    public static void overwrite()

  Sets the defaultOverwriteMode of all new created Animations to: On Enable overwrite manager of all on going animations to avoid any possible conflicts

### noOverwrite

    public static void noOverwrite()

  Sets the defaultOverwriteMode of all new created Animations to: Off Disable overwrite manager of all on going animations A new ani instance is always created even if there is a potential conflict for an already existing animation

### getOverwriteMode

    public static java.lang.String getOverwriteMode()

  Gets the defaultOverwriteMode: OVERWRITE or NO_OVERWRITE

  Returns:
    the overwrite mode

### getDefaultTimeMode

    public static java.lang.String getDefaultTimeMode()

  Gets the defaultTimeMode.

  Returns:
    the default time mode

### setDefaultTimeMode

    public static void setDefaultTimeMode(java.lang.String theDefaultTimeMode)

  Sets the defaultTimeMode: SECONDS or FRAMES

  Parameters:
    `theDefaultTimeMode` - the new default time mode

### getDefaultEasing

    public static Easing getDefaultEasing()

  Gets the default easing.

  Returns:
    the default easing

### setDefaultEasing

    public static void setDefaultEasing(Easing theDefaultEasing)

  Sets the default easing: LINEAR, QUAD_IN, QUAD_OUT, QUAD_IN_OUT, CUBIC_IN, CUBIC_IN_OUT, CUBIC_OUT, QUART_IN, QUART_OUT, QUART_IN_OUT, QUINT_IN, QUINT_OUT, QUINT_IN_OUT, SINE_IN, SINE_OUT, SINE_IN_OUT, CIRC_IN, CIRC_OUT, CIRC_IN_OUT, EXPO_IN, EXPO_OUT, EXPO_IN_OUT, BACK_IN, BACK_OUT, BACK_IN_OUT, BOUNCE_IN, BOUNCE_OUT, BOUNCE_IN_OUT, ELASTIC_IN, ELASTIC_OUT, ELASTIC_IN_OUT or use a Custom Easing

  Parameters:
    `theDefaultEasing` - the new default easing

### size

    public static int size()

  Size or count of all animations controlled by the overwrite features

  Returns:
    the size

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

processing library Ani by Benedikt Gross. (c) 2015